package com.kmall.admin.dao;

import com.kmall.admin.entity.GoodsEntity;
import com.kmall.common.dao.BaseDao;

import java.util.List;
import java.util.Map;

/**
 * Dao
 *
 * @author Scott
 * @email
 * @date 2017-08-21 21:19:49
 */
public interface GoodsDao extends BaseDao<GoodsEntity> {
    Long queryMaxId();

    GoodsEntity queryObjectBySn(String goodsSn);

    List<GoodsEntity> querySame(Map<String, Object> map);
}
